Subject: Re: FVWM: Installation problem without SU (noobie)

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 7 Oct 2003 19:54:00 +0300

On 07 Oct 2003 14:46:07 +0100, Allan Jardine wrote:
> 
> Hello,
> 
> >Then replace this line with:
> >
> >  exec /home/allan/bin/fvwm
> 
> Doh - yes. Sorry about that. I have done that and it still doesn't
> work. Any ideas?

Is your ~/.xinitrc executed at all? Add some echo commands to verify
this. This file should be "chmod a+x". There are other initialization
files used by different display/session managers, like ~/.Xclients and
~/.xsession, add the exec line above to these files to see whether they
work. These files should be "chmod a+x" too.

In any case you may start the new fvwm temporarily by opening FvwmConsole
in the old fvwm and typing in it:

  Restart /home/allan/bin/fvwm

Or even, depending on how old is your old fvwm, run this shell command:

  % /home/allan/bin/fvwm -r

This replaces the existing WM if it understands the ICCCM2 procedure.
But beware, this last command may also quit your X with some setups.

If you still can't figure it out, I suggest you to ask your sysadmin to
help you with the X setup. Reading FAQ question 2.2 may help too.

P.S. Please always ask fvwm questions on the list, not privately.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].